Subject: bug#66068: 30.0.50; xwidget-webkit-browse-url makes Emacs abort

From: Stefan Kangas <[email-masked]>
Date: Sat, 14 Sep 2024 07:21:50 -0700

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> IMHO if recent WebKitGTK releases are to be rejected, xwidgets should
> also be disabled on Mac OS, till they are available on up-to-date free
> systems again.

The feature is still there if you just use the right version of
WebKitGTK.  Not ideal, but there *is* a work-around.

FWIW, I see no reason to start disabling features on non-free operating
systems due to bugs on free ones.  It's better to just make sure any
bugs are fixed, and move on with our lives.

> But I have no objections to this patch, strictly speaking.

BTW, I didn't see mentioned anywhere in this thread if this bug was
reported to the WebKitGTK maintainers?